Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members

# TAO_Notify_Event Class Reference

Base class abstraction for Events flowing through the EventChannel. More...

`#include <Event.h>`

Inheritance diagram for TAO_Notify_Event:

[legend]
Collaboration diagram for TAO_Notify_Event:

[legend]
List of all members.

## Public Methods
| TAO_Notify_Event (void)
| Constuctor.
virtual | ~TAO_Notify_Event ()
| Destructor.
virtual TAO_Notify_Event * | copy (ACE_ENV_SINGLE_ARG_DECL) const=0
| Copy the event.
virtual const TAO_Notify_EventType & | type (void) const=0
| Get the event type.
virtual CORBA::Boolean | do_match (CosNotifyFilter::Filter_ptr filter ACE_ENV_ARG_DECL) const=0
| Returns true if the filter matches.
virtual void | convert (CosNotification::StructuredEvent &notification) const=0
| Convert to CosNotification::Structured type.
virtual void | push (TAO_Notify_Consumer *consumer ACE_ENV_ARG_DECL) const=0
| Push event to consumer.
virtual void | push (Event_Forwarder::StructuredProxyPushSupplier_ptr forwarder ACE_ENV_ARG_DECL) const=0
| Push event to the Event_Forwarder interface.
virtual void | push_no_filtering (Event_Forwarder::StructuredProxyPushSupplier_ptr forwarder ACE_ENV_ARG_DECL) const=0
| Push event to the Event_Forwarder interface.
virtual void | push (Event_Forwarder::ProxyPushSupplier_ptr forwarder ACE_ENV_ARG_DECL) const=0
| Push event to the Event_Forwarder interface.
virtual void | push_no_filtering (Event_Forwarder::ProxyPushSupplier_ptr forwarder ACE_ENV_ARG_DECL) const=0
| Push event to the Event_Forwarder interface.
const TAO_Notify_Property_Short & | priority (void) const
const TAO_Notify_Property_Time & | timeout (void) const
| Timeout.
## Static Public Methods
void | translate (const CORBA::Any &any, CosNotification::StructuredEvent &notification)
| Translate Any to Structured.
void | translate (const CosNotification::StructuredEvent &notification, CORBA::Any &any)
| Translate Structured to Any.
## Protected Attributes
TAO_Notify_Property_Short | priority_
| = QoS properties Priority.
TAO_Notify_Property_Time | timeout_
| Timeout.

## Detailed Description

Base class abstraction for Events flowing through the EventChannel.

## Constructor & Destructor Documentation

TAO_Notify_Event::TAO_Notify_Event | ( | void |  | ) |

| Constuctor.

TAO_Notify_Event::~TAO_Notify_Event | ( |  | ) | `[virtual]`

| Destructor.

## Member Function Documentation

virtual void TAO_Notify_Event::convert | ( | CosNotification::StructuredEvent & | notification | ) | const`[pure virtual]`

| Convert to CosNotification::Structured type.

virtual TAO_Notify_Event* TAO_Notify_Event::copy | ( | ACE_ENV_SINGLE_ARG_DECL |  | ) | const`[pure virtual]`

| Copy the event.

virtual CORBA::Boolean TAO_Notify_Event::do_match | ( | CosNotifyFilter::Filter_ptr filter | ACE_ENV_ARG_DECL | ) | const`[pure virtual]`

| Returns true if the filter matches.

const TAO_Notify_Property_Short& TAO_Notify_Event::priority | ( | void |  | ) | const

| = Accessors Priority

virtual void TAO_Notify_Event::push | ( | Event_Forwarder::ProxyPushSupplier_ptr forwarder | ACE_ENV_ARG_DECL | ) | const`[pure virtual]`

| Push event to the Event_Forwarder interface.

virtual void TAO_Notify_Event::push | ( | Event_Forwarder::StructuredProxyPushSupplier_ptr forwarder | ACE_ENV_ARG_DECL | ) | const`[pure virtual]`

| Push event to the Event_Forwarder interface.

virtual void TAO_Notify_Event::push | ( | TAO_Notify_Consumer *consumer | ACE_ENV_ARG_DECL | ) | const`[pure virtual]`

| Push event to consumer.

virtual void TAO_Notify_Event::push_no_filtering | ( | Event_Forwarder::ProxyPushSupplier_ptr forwarder | ACE_ENV_ARG_DECL | ) | const`[pure virtual]`

| Push event to the Event_Forwarder interface.

virtual void TAO_Notify_Event::push_no_filtering | ( | Event_Forwarder::StructuredProxyPushSupplier_ptr forwarder | ACE_ENV_ARG_DECL | ) | const`[pure virtual]`

| Push event to the Event_Forwarder interface.

const TAO_Notify_Property_Time& TAO_Notify_Event::timeout | ( | void |  | ) | const

| Timeout.

void TAO_Notify_Event::translate | ( | const CosNotification::StructuredEvent & | notification,
|  | CORBA::Any & | any
| ) | `[static]`

| Translate Structured to Any.

void TAO_Notify_Event::translate | ( | const CORBA::Any & | any,
|  | CosNotification::StructuredEvent & | notification
| ) | `[static]`

| Translate Any to Structured.

virtual const TAO_Notify_EventType& TAO_Notify_Event::type | ( | void |  | ) | const`[pure virtual]`

| Get the event type.

## Member Data Documentation

TAO_Notify_Property_Short TAO_Notify_Event::priority_`[protected]`

| = QoS properties Priority.

TAO_Notify_Property_Time TAO_Notify_Event::timeout_`[protected]`

| Timeout.

The documentation for this class was generated from the following files:

- Event.h
- Event.cpp